UR-UPDATE-CLASSES-FROM-DB(1p)

NAME
ur update classes-from-db - Update class definitions (and data dictionary cache) to reflect changes in the database schema.

VERSION
This document describes ur update classes-from-db version 0.29.

SYNOPSIS
ur update classes-from-db [--class-name=?] [--data-source=?] [--force-check-all-tables] [--force-rewrite-all-classes] [--table-name=?] [CLASSES-OR-MODULES]

OPTIONAL ARGUMENTS

class-name  List
    Update only the specified classes.

data-source  List
    Limit updates to these data sources

force-check-all-tables  Boolean
    By default we only look at tables with a new DDL time for changed database schema information. This explicitly (slowly) checks each table against our cache.

noforce-check-all-tables  Boolean
    Make force-check-all-tables 'false'

force-rewrite-all-classes  Boolean
    By default we only rewrite classes where there are database changes. Set this flag to rewrite all classes even where there are no schema changes.

noforce-rewrite-all-classes  Boolean
    Make force-rewrite-all-classes 'false'

table-name  List
    Update the specified table.

CLASSES-OR-MODULES
    (undocumented)

DESCRIPTION:
  Reads from the data sources in the current working directory's namespace,
  and updates the local class tree.

  This hits the data dictionary for the remote database, and gets changes there
  first.  Those changes are then used to mutate the class tree.

  If specific data sources are specified on the command-line, it will limit
  its database examination to just data in those data sources.  This command
  will, however, always load ALL classes in the namespace when doing this update,
  to find classes which currently reference the updated table, or are connected
  to its class indirectly.